Bug 235125 - Add post-commit build to run accessibility isolated tree mode layout tests
Summary: Add post-commit build to run accessibility isolated tree mode layout tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tyler Wilcock
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-01-12 11:14 PST by Tyler Wilcock
Modified: 2022-06-10 14:33 PDT (History)
15 users (show)

See Also:


Attachments
Patch (4.98 KB, patch)
2022-01-12 11:20 PST, Tyler Wilcock
no flags Details | Formatted Diff | Diff
Patch (4.98 KB, patch)
2022-01-13 19:42 PST, Tyler Wilcock
no flags Details | Formatted Diff | Diff
Patch (8.01 KB, patch)
2022-01-20 09:12 PST, Tyler Wilcock
no flags Details | Formatted Diff | Diff
Patch (7.98 KB, patch)
2022-01-20 09:17 PST, Tyler Wilcock
no flags Details | Formatted Diff | Diff
Patch (5.66 KB, patch)
2022-01-20 09:28 PST, Tyler Wilcock
no flags Details | Formatted Diff | Diff
Patch (3.04 KB, patch)
2022-06-10 11:31 PDT, Tyler Wilcock
no flags Details | Formatted Diff | Diff
Patch (4.43 KB, patch)
2022-06-10 11:45 PDT, Tyler Wilcock
no flags Details | Formatted Diff | Diff
Patch (4.39 KB, patch)
2022-06-10 11:49 PDT, Tyler Wilcock
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tyler Wilcock 2022-01-12 11:14:17 PST
Add Big Sur post-commit build to run accessibility isolated tree mode layout tests.
Comment 1 Tyler Wilcock 2022-01-12 11:20:44 PST
Created attachment 448973 [details]
Patch
Comment 2 Tyler Wilcock 2022-01-12 11:22:02 PST
Comment on attachment 448973 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=448973&action=review

> Tools/CISupport/build-webkit-org/config.json:248
> +                      "additionalArguments": ["--no-retry-failures", "--accessibility-isolated-tree", "accessibility/"],

Is specifying "accessibility/" in additionalArguments a fine way to only run accessibility tests on this builder?

> Tools/CISupport/build-webkit-org/config.json:249
> +                      "workernames": ["bot302"]

What bot should I use for this new builder?
Comment 3 Tyler Wilcock 2022-01-13 19:42:43 PST
Created attachment 449129 [details]
Patch
Comment 4 Radar WebKit Bug Importer 2022-01-19 11:20:33 PST
<rdar://problem/87781868>
Comment 5 Aakash Jain 2022-01-19 17:47:45 PST
Also need to change "platform" for bot179 in config.json to "mac-bigsur". That would also fix red services ews status-bubble.

Sample run: https://build.webkit-dev.org/#/builders/120/builds/2
Comment 6 Aakash Jain 2022-01-19 18:46:19 PST
Comment on attachment 449129 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=449129&action=review

> Tools/CISupport/build-webkit-org/config.json:246
> +                    { "name": "Apple-BigSur-Release-WK2-Accessibility-Isolated-Tree-Tests", "factory": "TestAllButJSCFactory", "builddir": "bigsur-release-tests-wk2-accessibility-isolated-tree",

To run just the layout tests, you can replace TestAllButJSCFactory with TestLayoutFactory. Sample run: https://build.webkit-dev.org/#/builders/120/builds/4
Comment 7 Tyler Wilcock 2022-01-20 09:12:15 PST
Created attachment 449588 [details]
Patch
Comment 8 Tyler Wilcock 2022-01-20 09:17:31 PST
Created attachment 449589 [details]
Patch
Comment 9 Tyler Wilcock 2022-01-20 09:28:05 PST
Created attachment 449591 [details]
Patch
Comment 10 Tyler Wilcock 2022-06-10 11:31:06 PDT
Created attachment 460164 [details]
Patch
Comment 11 Tyler Wilcock 2022-06-10 11:45:23 PDT
Created attachment 460165 [details]
Patch
Comment 12 Tyler Wilcock 2022-06-10 11:49:49 PDT
Created attachment 460166 [details]
Patch
Comment 13 EWS 2022-06-10 14:22:24 PDT
Committed r295462 (251468@main): <https://commits.webkit.org/251468@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 460166 [details].
Comment 14 Aakash Jain 2022-06-10 14:33:10 PDT
Restarted build.webkit.org to pick up this change. The queue is live at https://build.webkit.org/#/builders/Apple-Monterey-Release-WK2-Accessibility-Isolated-Tree-Tests